%global momorel 2

# Review: https://bugzilla.redhat.com/show_bug.cgi?id=498125

Name:           lxde-settings-daemon
Version:        0.4.1
Release:        %{momorel}m%{?dist}
Summary:        XSettings Daemon for LXDE

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.org/
Source0:        http://dl.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.bz2
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig glib2-devel libX11-devel

%description
This package contains the XSettings daemon for LXDE, the Lightweight X11 
Desktop Environment. It allows XSettings aware applications (all GTK+ 2 
and GNOME 2 applications) to be informed instantly of changes in LXDE 
configuration, such as theme name, default font and so on.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT  INSTALL='install -p'
mkdir -p %{buildroot}%{_datadir}/lxde
install -m 644 -p config %{buildroot}%{_datadir}/lxde/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
#FIXME: add ChangeLog and NEWS if there is content
%doc AUTHORS COPYING README
%config(noreplace) %{_sysconfdir}/lxde/config
%{_bindir}/%{name}
%{_datadir}/lxde/config
%{_mandir}/man1/lxde-settings.1*

%changelog
* Wed Jul 29 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.1-2m)
- remove dependency on lxde-common

* Sat May 16 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.1-1m)
- import from Fedora 11
- update to 0.4.1
- momonganize

* Wed Apr 29 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4-2
- Require system-icon-theme instead of fedora-icon-theme
- Drop unnecessary obsoletes and provides

* Tue Apr 28 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4-1
- Initial Fedora package
